# Users A `User` resource represents a pair of API keys which are used to perform authenticated requests against the Finix API. When making authenticated requests via HTTP basic access authentication the ID of a `User` resource maps to the username, while the `password` corresponds to the password (i.e. secret key). The password field for a `User` resource is only returned during the initial creation. Any following GET requests to the resource returns the `password` field as **null** for security purposes. **Related Guides:** - [Account Structure](/additional-resources/developers/resources-and-payment-flows/key-resources#account-structure) ## Create an Application User - [POST /applications/{application_id}/users](https://docs.finix.com/api/users/createapplicationuser.md): Creating an application user is the equivalent of provisioning API keys (i.e. credentials) for an Application. Each Application can have multiple Users which allows each seller to have multiple API keys that can be independently enabled and disabled. Merchants only have read access to the API. ## List Users - [GET /users](https://docs.finix.com/api/users/listusers.md): Retrieve a list of User resources. ## Fetch a User by ID - [GET /users/{user_id}](https://docs.finix.com/api/users/getuser.md): Retrieve the details of an existing User. ## Update a User - [PUT /users/{user_id}](https://docs.finix.com/api/users/updateuser.md): Update a User with new tags or disable the User and their credentials.